package com.yonge.cooleshow.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 老师考勤表(TeacherAttendance)表实体类
 *
 * @author hgw
 * @since 2022-05-05 13:51:23
 */
@ApiModel(value = "teacher_attendance-老师考勤表")
public class TeacherAttendance implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师编号;")
    private Long teacherId;

    @TableField("course_group_type_")
    @ApiModelProperty(value = "课程组类型PRACTICE、LIVE;")
    private String courseGroupType;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组编号;")
    private Long courseGroupId;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号;")
    private Long courseScheduleId;

    @TableField("sign_in_time_")
    @ApiModelProperty(value = "签到时间")
    private Date signInTime;

    @TableField("sign_out_time_")
    @ApiModelProperty(value = "签退时间")
    private Date signOutTime;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getCourseGroupType() {
        return courseGroupType;
    }

    public void setCourseGroupType(String courseGroupType) {
        this.courseGroupType = courseGroupType;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

